import QtQuick 2.0;
import calamares.slideshow 1.0;

Presentation
{
    id: presentation

    function nextSlide() {
        console.log("QML Component (default slideshow) Next slide");
        presentation.goToNextSlide();
    }

    Timer {
        id: advanceTimer
        interval: 7500
        running: true
        repeat: true
        onTriggered: nextSlide()
    }

    Slide {
        Image {
            id: slide1
            source: "slide1.png"
            anchors.centerIn: parent
            anchors.top: background.bottom
            width: 810
            height: 485
            fillMode: Image.PreserveAspectFit
        }
         Text {
            font.family: "Ubuntu"
            font.pixelSize : 12
            color: "#6d526b"
            anchors.horizontalCenter: slide1.horizontalCenter
text: qsTr("<h1>Quirinux GNU/Linux Versión 2.0</h1>"+
"<h2>Basado en Devuan (Debian) GNU/Linux</h2>"+
"<h3>https://www.quirinux.org/</h3><br/>"+
"<b>Versión:</b> 2.0 Estable 21-06-2024<br/><br/>"+
"<b>Autor:</b> Charlie Martínez. <b>Logotipo Quirinux:</b> Thomas Gaya.<br/><br/>"+
"<b>Sistema de creación ISO:</b> Penguins' Eggs, de Piero Proietti.<br/>"+
"<b>Capacitación y asesoramiento:</b> Javier Obregón.<br/><br/>"+
"<b>Wallpapers:</b> Beatriz Barcelona, Charlie Martínez, Ernesto Bazzano,<br/>Geri Ratcliffe, Leonardo Bensingor y Noelia Gerbaudo.<br/><br/>"+
"<b>Beta-testers:</b> Facundo Redoni (AnimaTics), Gustavo Deveze, Javier Obregón<br/>Leonardo Bensingor, Manuel González, Martín Figuera, Noelia Gerbaudo y Sela González.<br/><br/>"+
"<b>Agradecimientos a:</b> Alicia Coria, Gustavo Deveze, Gustav González (Tupi), Jeremy Bullock,<br/>"+
"Luis Federichi, Manong John (Tahoma2D), Pablo López (Etertics), Patricia Mengui y Riky Linux.<br/><br/>"+
"<b>Hecho en:</b> Buenos Aires (Argentina), Misiones (Argentina), Roma (Italia) y Stgo. de Compostela (Galicia, España).<br/>"+
"<b>Quirinux</b> es Marca Registrada.<b> Distribuidor oficial:</b> CREALIB TECNOLOGÍA SOSTENIBLE.<br/>"+
"<b>Dedicado a Emilio Gorini (qepd).</b>")
            wrapMode: Text.WordWrap
            width: kde.width
            horizontalAlignment: Text.Center
        }
    }

    function onActivate() {
        console.log("QML Component (default slideshow) activated");
        presentation.currentSlide = 0;
    }

    function onLeave() {
        console.log("QML Component (default slideshow) deactivated");
    }
}

